This API reference will show you how to complete direct integrations for:

  • Facial Age Estimation (FAE)
  • Anti-spoofing (Liveness)
  • Terminals/Self-checkouts
Server
https://api.yoti.com

Yoti AI Services API Sever

Server Variables

Header is needed to verify the signature of the signed request.

Fields
KeyIn
X-Yoti-Auth-DigestHeader

Header is used to access your application data.

Fields
KeyIn
X-Yoti-Auth-IdHeader

Endpoints

There are 4 endpoints in this API reference. The first three are for direct integration into your application. The fourth one is for terminal/self-checkouts integration.

Liveness

Liveness checks ensure the user is a real person who is physically present and not a deepfake or bot.

Liveness check

Perform Yoti's Anti-spoofing (liveness) check.

Auth
Query String
noncestring

Randomly generated UUID. Auto-generated if using the Web Face Capture Module.

timestampstring

Randomly generated UUID. Auto-generated if using the Web Face Capture Module.

secureboolean

Enable the use of Secure Image Capture (SICAP) in Web Face Capture Module https://developers.yoti.com/age-estimation/secure-image-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

High quality Base64 encoded image. Subject to image requirements https://developers.yoti.com/age-estimation/overview#image-requirements

level_of_assurancestring

(optional) The level of assurance to apply for the model score threshold.

Enum: low,medium,high

Default: medium

secure4 fieldsobject

(Required for SICAP Secure image capture) Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

antispoofing_modelstring

(optional) Select a specific antispoofing model to execute. yoti_antispoofing_10 is the current production model. yoti_antispoofing_11 is our ibeta level 3 model. [Please get in touch with us to discuss switching to a different model.]

Enum: yoti_antispoofing_10,yoti_antispoofing_11,yoti_antispoofing_11_thinking,laptop_antispoofing

Default: yoti_antispoofing_10

POST /ai/v1/antispoofing
Responses
200

A prediction was made

predictionstring
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

429

Too many requests

500

Internal server error

503

Service temporarily unavailable

Response

Age Estimation

Leverage Yoti’s algorithm to perform age estimation from a user's facial image.

Liveness and age estimation

Use Yoti's Age estimation service and the Anti-spoofing (liveness) check.

Auth
Query String
noncestring

Randomly generated UUID. Auto-generated if using the Web Face Capture Module.

timestampstring

Randomly generated UUID. Auto-generated if using the Web Face Capture Module.

secureboolean

Enable the use of Secure Image Capture (SICAP) in Web Face Capture Module https://developers.yoti.com/age-estimation/secure-image-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

High quality Base64 encoded image. Subject to image requirements https://developers.yoti.com/age-estimation/overview#image-requirements

level_of_assurancestring

(optional) The level of assurance to apply for the model score threshold.

Enum: low,medium,high

Default: medium

secure4 fieldsobject

(Required for SICAP Secure image capture) Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

age_estimation_modelstring

(optional) Select a specific age estimation model to execute. [Please get in touch with us to discuss switching to a different model.]

Enum: mar23,aug24,nist_age_003,nist_age_004

Default: nist_age_003

antispoofing_modelstring

(optional) Select a specific antispoofing model to execute. yoti_antispoofing_10 is the current production model. yoti_antispoofing_11 is our ibeta level 3 model. [Please get in touch with us to discuss switching to a different model.]

Enum: yoti_antispoofing_10,yoti_antispoofing_11,yoti_antispoofing_11_thinking,laptop_antispoofing

Default: yoti_antispoofing_10

POST /ai/v1/age-antispoofing
Responses
200

A prediction was made

objectobject
antispoofingobject
predictionstring
ageobject
agenumber
std_devnumber
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

429

Too many requests

500

Internal server error

503

Service temporarily unavailable

Response

Age estimation

Use Yoti's Age estimation service. Yoti strongly recommends you couple this with liveness.

Auth
Query String
noncestring

Randomly generated UUID. Auto-generated if using the Web Face Capture Module.

timestampstring

Randomly generated UUID. Auto-generated if using the Web Face Capture Module.

secureboolean

Enable the use of Secure Image Capture (SICAP) in Web Face Capture Module https://developers.yoti.com/age-estimation/secure-image-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

High quality Base64 encoded image. Subject to image requirements https://developers.yoti.com/age-estimation/overview#image-requirements

img_validation_levelstring

(optional) The level of validations to be applied against the image and bounding boxes to support different sizes of images.

Enum: low,high

Default: high

secure4 fieldsobject

(Required for SICAP Secure image capture) Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

age_estimation_modelstring

(optional) Select a specific age estimation model to execute. [Please get in touch with us to discuss switching to a different model.]

Enum: mar23,aug24,nist_age_003,nist_age_004

Default: nist_age_003

POST /ai/v1/age
Responses
200

A prediction was made

objectobject
agenumber
std_devnumber
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

429

Too many requests

500

Internal server error

503

Service temporarily unavailable

Response

Self-checkout

The following endpoint targets integrations relating to non-browser-based clients and ePOS terminals.

Liveness and age estimation

Perform a liveness and an age estimation check.

Auth
Headers
Terminal-IDstring

Terminal ID

Session-IDstring

Session ID

Query String
noncestring

Randomly generated UUID. Auto-generated if using the Web Face Capture Module.

timestampstring

Randomly generated UUID. Auto-generated if using the Web Face Capture Module.

secureboolean

Enable the use of Secure Image Capture (SICAP) in Web Face Capture Module https://developers.yoti.com/age-estimation/secure-image-capture

multiframeboolean

Use the multiframe mode for a secure request. See the 'secure' argument for more information.

Request Body
objectobject
imgstring

High quality Base64 encoded image. Subject to image requirements https://developers.yoti.com/age-estimation/overview#image-requirements

secure4 fieldsobject

(Required for SICAP Secure image capture) Secure information that certifies the image was not modified. The Yoti React Face Capture provides this information that shouldn't be edited.

age_estimation_modelstring

(optional) Select a specific age estimation model to execute. [Please get in touch with us to discuss switching to a different model.]

Enum: mar23,aug24,nist_age_003,nist_age_004

Default: nist_age_003

POST /ai/v1/self-checkout/age-antispoofing
Responses
200

A prediction was made

objectobject
antispoofingobject
predictionstring
ageobject
agenumber
std_devnumber
400

Image validation error or malformed request

401

Unauthorized

403

Forbidden

404

Resource not found

413

Payload too large

429

Too many requests

500

Internal server error

503

Service temporarily unavailable

Response